---
title: "atan"
excerpt: "Compute the arctangent of a number (in radians)."
layout: manual
---

Compute the arctangent of a number (in radians).



```js
atan(num: number) -> number
```

### Tags

* `math`


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `num` | `number` |  | Yes |

### Returns

`number` 


### Examples

```js
sketch001 = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> angledLine({
       angle = toDegrees(atan(1.25)),
       length = 20
     }, %)
  |> yLineTo(0, %)
  |> close()

extrude001 = extrude(sketch001, length = 5)
```

![Rendered example of atan 0](data:image/png;base64,[encoded data, 77368 characters])


